# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2018-05-05 04:53
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('thing', '0015_auto_20180429_0804'),
    ]

    operations = [
        migrations.CreateModel(
            name='CharacterTag',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('short_name', models.CharField(max_length=8)),
                ('long_name', models.CharField(max_length=64)),
                ('foreground_colour', models.CharField(max_length=6)),
                ('background_colour', models.CharField(max_length=6)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AddField(
            model_name='character',
            name='tag',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='thing.CharacterTag'),
        ),
    ]
